CVE-2018-20796

Priority
Description
In the GNU C Library (aka glibc or libc6) through 2.29,
check_dst_limits_calc_pos_1 in posix/regexec.c has Uncontrolled Recursion,
as demonstrated by '(\227|)(\\1\\1|t1|\\\2537)+' in grep.
Notes
mdeslaurglibc regex compiler is not supposed to be exposed to untrusted
content, and upstream does not consider this to be a security
issue: https://sourceware.org/glibc/wiki/Security%20Exceptions
https://lists.gnu.org/r/bug-gnulib/2018-09/msg00068.html

as of 2020-06-04, no fix available from upstream.
We will not be fixing this issue in Ubuntu, marking as
ignored.
Package
Upstream:deferred
Ubuntu 12.04 ESM (Precise Pangolin):ignored
Ubuntu 14.04 ESM (Trusty Tahr):ignored
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 20.04 LTS (Focal Fossa):DNE
Ubuntu 20.10 (Groovy Gorilla):DNE
Package
Source: glibc (LP Ubuntu Debian)
Upstream:deferred
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):ignored
Ubuntu 18.04 LTS (Bionic Beaver):ignored
Ubuntu 20.04 LTS (Focal Fossa):ignored
Ubuntu 20.10 (Groovy Gorilla):ignored
More Information

Updated: 2020-09-10 05:55:58 UTC (commit 81a23a978c4436cd99e1d040e9e73e9146876281)